summaryrefslogtreecommitdiff
path: root/pcr/emacs-with-editor-git/emacs-with-editor-git.install
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-02-02 16:24:46 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-02-02 16:24:46 +0100
commit6a1dd1ce906fc523fa4b775088605de55ad9a372 (patch)
treeceba1abbc775465f5cf505f09e7d5045e6dcf4f7 /pcr/emacs-with-editor-git/emacs-with-editor-git.install
parent814f59cece8a3d6361a1dd236ce9a5ad02ac3980 (diff)
downloadabslibre-6a1dd1ce906fc523fa4b775088605de55ad9a372.tar.gz
abslibre-6a1dd1ce906fc523fa4b775088605de55ad9a372.tar.bz2
abslibre-6a1dd1ce906fc523fa4b775088605de55ad9a372.zip
pcr/emacs-with-editor-git: added
Diffstat (limited to 'pcr/emacs-with-editor-git/emacs-with-editor-git.install')
-rw-r--r--pcr/emacs-with-editor-git/emacs-with-editor-git.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/pcr/emacs-with-editor-git/emacs-with-editor-git.install b/pcr/emacs-with-editor-git/emacs-with-editor-git.install
new file mode 100644
index 000000000..10c08d4ce
--- /dev/null
+++ b/pcr/emacs-with-editor-git/emacs-with-editor-git.install
@@ -0,0 +1,24 @@
+infodir=/usr/share/info
+filelist=(with-editor.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+op=$1
+shift
+$op $*